import { GraphQLError } from "../shared.mjs";

function syntaxError(source, position, description) {
  return new GraphQLError(`Syntax Error: ${description}`, {
    source,
    positions: [ position ]
  });
}

export { syntaxError };
