exports.promiseForObject = function promiseForObject(object) {
  return Promise.all(Object.values(object)).then((resolvedValues => {
    const resolvedObject = Object.create(null);
    for (const [i, key] of Object.keys(object).entries()) {
      resolvedObject[key] = resolvedValues[i];
    }
    return resolvedObject;
  }));
};
