var jsutils_inspect = require("./inspect.js");

class NonErrorThrown extends Error {
  constructor(thrownValue) {
    super("Unexpected error value: " + jsutils_inspect.inspect(thrownValue));
    this.name = "NonErrorThrown";
    this.thrownValue = thrownValue;
  }
}

exports.toError = function toError(thrownValue) {
  return thrownValue instanceof Error ? thrownValue : new NonErrorThrown(thrownValue);
};
